First steps

First steps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Welcome and thank you for choosing zenon. We want to make the introduction to the use of zenon as simple and pleasant as possible. The first step in this direction is made with this tutorial. Nevertheless, an introducing tutorial cannot replace proper training.

This tutorial will introduce you to the basic operation of zenon. You will learn here how to create a project and how to draw screens, which display the values from your PLC in dynamic elements.


A new project

First steps -> A new project

In this step, you will learn what workspaces and projects are. We will create a workspace and, within that, an example project.


Creating a new workspace

First steps -> A new project -> Creating a new workspace

Info Info

We recommend to create a new subdirectory for each new workspace. This makes sure that all important files are in one directory.

  • Select the entry Workspace new in the menu File.
  • Enter C:\ as path an then enter the name ‘EXAMPLE’ for the workspace. If it does not exist, the directory C:\EXAMPLE is created after confirming the entries of the dialogbox with OK and the file EXAMPLE.WSP6 is written into the directory.

The directory name and the name of the workspace file are generated automatically by zenon but they can be changed later.


Creating a new project

First steps -> A new project -> Creating a new project

  • Select the entry Project new in the menu File.

  • Enter the project name ‘PROJECT1’ and accept the default path.

Info Info

If VBA is activated in your Editor (default setting), the selection dialog for executing a wizard will open now. Wizards are VBA macros, with which you can automate the work in the Editor. In this example we will not use a wizard, so we close the dialog with Cancel.


Configuration of the project

First steps -> A new project -> Configuration of the project

  • Select the workspace in the project manager.
  • In the detail view you now see a list of the projects belonging to this workspace.
  • Select the project PROJECT1 in the detail view.

Now the properties of the project PROJECT1 are displayed in the properties window and can be edited there.

We will use this properties window rather often in this training. Generally, it shows the properties of the object, which is selected in the detail view of the project manager. The icons on the top border of the property windows allow you to show the properties in different views:

The individual symbols offer the following functions:

Symbol | Meaning
Grouped | The properties are combined into logical groups.
All properties | All properties are shown in a row.
Dialog view | The properties are displayed as dialog boxes.
Show/hide favorites | In the favorites, you can put together the most frequently used properties by using the context menu of the property window. Here, you can show or hide the favorites.
Show/hide all properties | If the favorites are shown, you can hide all other properties with this symbol for a better overview.
Sorted logically | With this icon, the displayed properties are sorted according to their logical connectedness.
Sort ascending | With this icon, the displayed properties are sorted in alphabetically ascending order.
Sort descending | With this icon, the displayed properties are sorted in alphabetically descending order.
Expand all | By clicking on the '+' on the left border of the property window, you can open a closed node. This icon automatically expands all closed nodes.
Reduce all | By clicking on the '-' on the left border of the property window, you can close an expanded node. This icon automatically closes all expanded nodes.
Display properties help | A window with the description of the selected property is displayed. To close the help window, click on the X on the top right-hand corner of the window.

Info Info

With the context menu of the properties window you can define which properties should be displayed in the favorites.

Runtime view

To display the main window with out a title in the Runtime:

  • Switch to the grouped view.
  • Open the section Graphical design.

  • Change the property Titre runtime to not titel (full screen.

    ID interne : Configuration of the project

    Titre runtime

    Affichage de la fenêtre principale du Runtime.

    Pas de titre : affichage en plein écran, sans en-tête.

    Titre avec boutons agrandir et réduire : la fenêtre peut être déplacée et sa taille peut être modifiée. Elle ne peut toutefois pas être fermée (même par le biais du menu contextuel, de la barre des tâches ou du raccourci-clavier Alt+F4). Cliquez avec le bouton droit sur l'en-tête pour afficher le menu contextuel.

    Titre avec menu système, boutons agrandir et réduire : la fenêtre peut être déplacée et sa taille peut être modifiée ; elle peut être fermée d'un clic sur le bouton X. Cliquez avec le bouton droit sur l'en-tête pour afficher le menu contextuel.

    Titre avec menu système : la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l'en-tête pour afficher le menu contextuel.

    Titre sans boutons : la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l'en-tête pour afficher le menu contextuel.

    Par défaut : Pas de titre

    Attention : si cette propriété est modifiée dans l'Éditeur, le Runtime doit être redémarré. L'actualisation seule ne fonctionne pas, car pour reprendre la fenêtre principale, le Runtime doit être fermé, puis rouvert.

    Plus de détails dans l'aide en ligne

    Cette propriété est disponible dans VBA (avec un nom de classe) et dans les données exportées au format XML (sans nom de classe) sous : ""

This means the program window of the Runtime will be displayed without a title bar.


Variables

First steps -> Variables

In this step, you will learn how zenon connects to a process and how it receives values from the PLC.

For that, we are going to create a driver and then define variables for this driver.


Drivers

First steps -> Variables -> Drivers

To communicate with a data source (PLC field bus, etc.) it is necessary to connect to a driver. Depending on the needs of the project, the necessary drivers (depending on the PLC) and their process variables have to be created.

  • Open the node Variables in the project manager.
  • Activate the context menu of the entry Drivers with the right mouse button.
  • Select the menu entry Driver new.

The driver selection dialog opens now.

  • Scroll down in the list of Available drivers until you reach the folder Siemens.
  • Choose the driver S7 TCP-IP. The entry is put in the field Driver name as shown in the dialog box Definition of driver. Close the dialog by confirming the selection with OK.

Now the dialog for the configuration of the driver opens.

  • Set the Mode to Simulation (counting).

In the mode Hardware, zenon would immediately try to connect to the PLC when the Runtime is started. As we do not have a PLC at the moment, zenon would show errors for all values if we chose the Hardware mode.

  • Switch off Update time global.

By setting this, we can assign one of four different update times to every single variable during the definition of variables. These four update times can be set in the lower part of this dialog, under Priority

All other tabs of this dialog are driver-specific, i.e. different according to the chosen driver. As we do not have a PLC at the moment, we do not have to regard these settings in this example.


Data types

First steps -> Variables -> Data types

Variable on the one hand are based on driver object types and on the other hand on data types.

The driver object types depend on the selected driver.

Generally speaking, data types are independent of the driver. But not all drivers support object types of all data types. When you are asked to select a data type, only the data types supported by your driver will be available.

In addition to the pre-defined data types, you can create your own data types. Two possibilities are available here: Simple data types and structure data types.

In this step, you will learn how to create simple and structure datatypes.


Creating a new simple data type

First steps -> Variables -> Data types -> Creating a new simple data type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Open the node Variables in the Project Manager.
  • Activate the context menu of the entry Datatypes with the right mouse button.
  • Select the menu entry Structure datatype new.

_

  • As a name for the new simple datatype enter Temperature sensor.
  • Select UINT as the basic datatype.

With Finish the datatype is created and now is available in the list of datatypes.

  • Select the datatype Temperature sensor in the list.

In the property window, the properties of the data type Temperature sensor are now displayed and we can make all the necessary changes.

  • Open the sections General and Value calculation.

_

  • Change the properties Unit, Decimals, Linear value adjustment and Value range PLC of the datatype as shown in the illustration above.
Value range PLC | digital value from the temperature sensor, in this case 16 bit resolution in the PLC
Value adjustment linear | analog value from temperature sensort, according to our setting, this corresponds to Min. 0,00 ºC / Max. 655,35 ºC in the project.

We now will define limits for the datatype Temperature sensor.

  • Open the section Limits in the properties window.
  • Select the entry <Limit new>.

A new section with the name Limit[1] is created.

  • Open the section Limit[1].

  • Change the properties of the limit as shown in the illustration above.

Exemple Exemple

Create three more limits for the datatype Temperature sensor:
Limit 2: 100; MIN; dark blue; no alarm
Limit 3: 400; MAX; dark red; no alarm
Limit 4: 500; MAX; light red; alarm


Creating a new structure datatype

First steps -> Variables -> Data types -> Creating a new structure datatype

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Open the entry Variables in the Project Manager.
  • Activate the context menu of the entry Datatypes with the right mouse button.
  • Select the menu entry Structure datatype new.

  • As a name for the new structure datatype enter Motor.

After you are done with the structure datatype a dialogbox will open, in which you can create the first structure element of this data type.

  • As a name for the new structure element enter Oil.
  • Select USINT as the basic datatype. The data type should be embedded.

If a basic data type is embedded in a structure data type, the properties of that data type can be changed in the structure element independently from the basic data type.

After finishing the structure element the structure data type is available in the list.

Now we will create further structure elements for this data type.

  • Activate the context menu of the structure data type "Motor" with the right mouse button.
  • Select the menu entry Structure element new….

Exemple Exemple

Create another structure element for the structure datatype Motor:

On/off: BOOL; embedded
Temperature: Temperature sensor; linked


Variables

First steps -> Variables -> Variables

A process variable is the interface between the data source (PLC, field bus, etc.) and zenon. For correct detection and open-loop/closed control of a process, it is necessary to have an exchange of process data on the one hand and the input of setpoint values and commands on the other hand. Process data and settings are defined for single process variables and the parameters are entered and changed in the variable list.

In this step, you will learn how to create single variables and variable arrays, which are based on simple or structure data types.

Info Info

Many zenon drivers allow the import of variables from the PLC program or directly from the PLC, which means that you do not have to create the variables manually. You will find the necessary information for the variable import in the according driver documentation.

Because we have neither a PLC nor an S7 project in our example project, we will create the variables manually.


Creating a new simple variable

First steps -> Variables -> Variables -> Creating a new simple variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • In the project manager, activate the context menu of the entry Variables by a right click.
  • Select the menu entry Variable new.

The dialog for creating variables opens now.

  • As a name enter Temp.
  • Choose the driver S7TCP32 - S7 TCP-IP
  • Select Ext. datablock as the driver object type.
  • Select the datatype Temperature sensor.

With these settings, you would create a single variable. For creating multiple variables of the same type, some changes in the Array Settings are necessary.

  • Set the array dimensions 1 and 2 both to the value 2.
  • Confirm the settings with Finish.

The variables now are added to the variable list in the detail view of the project manager. All properties of our datatype Temperature sensor are pre-defined in the variables. The properties of the selected variable can be checked and changed in the properties window.

As we changed the array dimensions, not only one but four variables have been created. With our settings, these variables automatically get their addresses, i.e. we only have to define a start offset. zenon calculates the remaining addresses automatically.

  • Open the section Variables.
  • Select the entry Temp.
  • In the section Addressing set the property Start offset to the value 11.

This results in the following addresses:

Temp[1,1] | Offset 11
Temp[1.2] | Offset 13
Temp[2.1] | Offset 15
Temp[2.2] | Offset 17

The property last used offset accordingly reads: 18/7 (Offset 18 / Bit 7).

The variable list in the detail view of the project manager now should have the following entries.

Info Info

Always use logical names for the process variables in order to keep a better overview.


Creating a new structure variable

First steps -> Variables -> Variables -> Creating a new structure variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Now we will create more variables, but this time for a structure data type. Therefore proceed as described above.

  • As a name enter Motor.
  • Select the datatype Motor.
  • Set Dim 1 to the value 4 under Array settings.

  • Activate the option Automatic addressing.
  • Leave the options 'Each data type starts with new offset' and 'Activate all elements' as proposed by the default.
  • Select an Ext. datablock as the driver object type.
  • Set the Start offset to 21.

Now the variables for four motors are created (array dim 1=4), where each of the four motors consists of three variables.

Your variable list in the detail view of the project manager should look like the illustration below:


Screens and functions

First steps -> Screens and functions

In this step, you will learn how to create screens in zenon, allowing you to visualize and operate facilities.


Frames

First steps -> Screens and functions -> Frames

A frame has to be created before we can draw our first screen. Every screen is based on a frame.

A frame is the basis for the window technique. This is where general settings are made, like:

Size of frame = Size of screen

Position of the screen on the monitor

And so a general layout is created. This offers some advantages like:

A consistent structure of screens throughout the project.

Size and position only has to be set once.

Changing a frame will change all the screens based on it.

Functions can especially refer to one frame (Alarms: Ackn. flashing, Hardcopy, etc.)

screens rarely have to be closed by hand, as there can only be one screen of a frame open at a time.

Info Info

Always create at least two frames.
1 frame for preocess screens
1 frame for button bars


Create new frame

First steps -> Screens and functions -> Frames -> Create new frame

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Open the node screens in the Project Manager and select the entry Frames.
  • With Frame new in the context menu you create a new frame.

A frame with the name Frame_0 is automatically created. You can change the properties of the frame in the property window.

The size of the frame is set to the current screen resolution by default. We now change these settings, so that some space is left over on the top and on the bottom of the screen. We need the space at the top for the status line and the one at the bottom for creating a button bar later. For our example, we use a screen resolution of 1024*768.

  • Change the properties of the frame as shown in the illustration above.

Exemple Exemple

Create a frame with the name Button Bar for the button bars. The size of the frame should range from left/top 0/700 to right/bottom 1024/768.


Screens

First steps -> Screens and functions -> Screens

A screen is a window with special predefined properties. Each screen has to be based on a frame.

Info Info

Nevertheless, you can create a screen in a new project without having created a frame before.

In this case however zenon automatically creates a frame with the default settings in the background.


Screen new

First steps -> Screens and functions -> Screens -> Screen new

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Select the branch Screens in the project manager .
  • With Screen new in the context menu you create a new screen.

A screen with the name Screen 0 will be created. You can change the properties of the screen in the property window.

  • In the section General enter the screen name Start Pic and take care that the screen has the Screen type Standard.
  • In the section Frame make sure, that the screen is linked to the frame Process screen.
  • Open this new screen with a doubleclick on the screen name in the detail view of the project manager or by opening the context menu with a right-click and selecting the entry Open screen.

Info Info

As this is the first screen that we have saved, the screen name will be added automatically to the project properties under the property Start pic in the group Graphical design.

This screen will be opened automatically when the Runtime is started.

Exemple Exemple

Now create a screen with the name Hall. This screen should also be linked to the frame Process screen.

Now create a screen with the name BB-Start. Link the frame Button bar to this screen.


Screen elements

First steps -> Screens and functions -> Screen elements

Generally speaking, there are two different types of elements that can be used in a screen.

Vector elements | The appearance of these elements in the Runtime always stays the same.
Dynamic elements | These elements change their appearance in the Runtime (usually depending on the value of a variable).


Vector elements

First steps -> Screens and functions -> Screen elements -> Vector elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vector elements, as opposed to dynamic elements, which we will get to know later, do not change their appearance in the Runtime. They are used for graphical background information.


Static text

First steps -> Screens and functions -> Screen elements -> Vector elements -> Static text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

We are now going to enter text into our start screen.

  • Open the menu Vect. Elements.
  • Select the vector element Static text.
  • In the screen Start pic, press the left mouse button on the desired location and hold it while pulling up a square.

You can now adjust the properties of the element in the property window. If you want to change the properties lateron, you only have to select the element in the screen - by clicking on it with the left mouse button. Then the properties are again available in the properties window.

This procedure is the same for all elements.

  • Enter 'My first project' in the field Representation/Text.

Now we will create a new font for our text element.

  • Select the Screens/Fonts in the Project Manager.
  • Open the context menu in the detail view an select the entry Font new.

The Windows standard dialog for the definition of fonts opens now.

  • Now select Times New Roman bold 36 and confirm the setting with OK.

The detail view of the Project Manager now lists New font 1 and the properties window shows the properties of the new font.

  • Change the name of the font to Title.

The fonts selected here can be used in all elements that include text.

We now will use this font in our text element.

  • Select the text element in the starting screen and open the section Font in the properties window.
  • Select the right column of the property Font.

The dialog for the font selection opens.

  • Select the font Title.
  • Click on the icon Save screen or select the entry Save screen from the context menu of the screen.


Dynamic elements

First steps -> Screens and functions -> Screen elements -> Dynamic elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

As opposed to vector elements, dynamic elements change their appearance in the Runtime.

Dynamic elements are used to display variable values or to execute functions.


Text button

First steps -> Screens and functions -> Screen elements -> Dynamic elements -> Text button

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

First we will create buttons for our button bar BB-Start to switch between the screens Start Pic and Hall.

  • Open the screen BB-Start.
  • Select the command Text Button from the menu Dyn. Elements.
  • With the left mouse button pressed down you now draw a dynamic element on the screen BB-Start (ca. 1.5 cm high and 3 cm wide).

The dialog box for selecting functions opens automatically after you release the mouse button.

  • Select the function Screen switch - Start Pic.
  • Open the section Representation in the properties window.
  • For Line 1 enter the text Start Pic and for Line 2 the text Alt+S.
  • Click on the right column of the property Runtime/Operation/Key combination.

The dialog for the definition of the key combination opens.

In the Runtime, you can now execute the function either by clicking the button or by pressing the key combination.

  • Enter Alt-S by clicking into the input area and pressing that key combination.
  • Confirm the settings with OK.

Exemple Exemple

Create a corresponding button for the screen Hall with the text Hall 1 and Alt 1 and the according key combination.

Create another button for the function Exit program with the text Exit and the key combination Alt+E.

Info Info

We recommend to define a separate font for the text of the button and to use this font for all buttons in the project. If you want to change the size or any other attribute of the font at a later moment the changes will then be updated for all buttens automatically.


Screen Functions

First steps -> Screens and functions -> Screen elements -> Dynamic elements -> Screen Functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

You can link functions to each screen, which will automatically be executed on opening or closing the screen. We will use this functionality now to open the button-bar with the start screen.

  • Select the node Screens in the project manager.
  • In the detail view of the Project Manager select the screen Start Pic.
  • Open the section Execution in the properties window.
  • As Start function, select the function Screen switch: BB-Start from the list.

Now, whenever the screen Start pic is opened, the screen BB-Start will also be opened automatically.


Numerical value

First steps -> Screens and functions -> Screen elements -> Dynamic elements -> Numerical value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Open the screen Start Pic.
  • Select the entry Numerical value from the menu Dyn. Elements.
  • With the left mouse button pressed down you now draw a dynamic element on the screen "HALL“ (about 2 cm high and 5 cm wide).

Now the dialog for the variable selection opens.

  • In the dialog box Variable selection, highlight the variable Temp[1.1] and then press the button OK.

Info Info

If the variable selection does not open automatically, perform the following actions:

  • Open the menu Option.
  • Select the command Settings.

The following dialog opens:

  • Activate the option Input properties after creating objects in the group Element editing and then press the button OK.

You can also open the dialog with a doubleclick on the element.

In order to change the size of a dynamic element you click on one of ist markers (the cursor is a double arrow, you hold the left mouse button pressed down and by moving the mouse change the size of the element.

In order to move a dynamic element, click on it (the cursor is an arrow cross), hold the left mouse button pressed down and drag the element to its new position.

  • Click on the icon Save screen or select the entry Save screen from the context menu of the screen.

Exemple Exemple

Now create further numerical value elements for the variables Temp[1.2], Temp[2.1] and Temp[2.2].

Info Info

The simplest way to do this is as follows:

Select the element and copy it with Ctrl-C to the clipboard, then paste it three times with Ctrl-V. Now you can drag the desired variables on the elements with the mouse.


Bar Graph

First steps -> Screens and functions -> Screen elements -> Dynamic elements -> Bar Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Open the screen Hall.
  • Select the command Bar Graph from the menu Dyn. Elements.
  • With the left mouse button pressed down you now draw a dynamic element on the screen „HALL“ (ca.7 cm high and 3 cm wide).
  • In the dialogbox Variable selection, highlight the variable Temp[1,1] and then press the button OK.
  • In the properties window under Colors/Colors static set the Bar color to green.


Indicating Instrument

First steps -> Screens and functions -> Screen elements -> Dynamic elements -> Indicating Instrument

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Select the command Indicating instrument from the menu Dyn. Elements.
  • With the left mouse button pressed down you now draw a dynamic element on the Start Pic (ca.15 cm high and 20 cm wide).
  • Select the variable Temp[1,2] in the dialogbox Variable selection and then press the button OK.
  • In the properties window open the section Representation and then Scale.
  • Set the Main ticks to 100 and the Sub ticks to 20.

So there will be a long tick with the value at every 100 and a short one with out value every 20.


Trend Graph

First steps -> Screens and functions -> Screen elements -> Dynamic elements -> Trend Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Select the command Trend curve from the menu Dyn. Elements.
  • With the left mouse button pressed down you now draw a dynamic element on the Start Pic (ca.15 cm high and 20 cm wide).

Now the dialog for the variable selection opens.

  • Doubleclick the variables "Temp[1,1]" and "Temp[1,2]" in the dialogbox 'Variable selection'.
  • Then press the button OK.

In the properties window you will now find the new section Curves.

  • In the properties window, open the section Curves and then Curve[1].
  • Change the Curve name to Temp 1.
  • For Curve[2] change the text to Temp 2.
  • Set the property Time of representation in the section Representation to 10 minutes.


Runtime (Online operation)

First steps -> Runtime (Online operation)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Now it is time to see our example project in the Runtime. In this step, you will learn how to start and stop the Runtime.


Starting the Runtime

First steps -> Runtime (Online operation) -> Starting the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The Runtime can be started in three ways:

  1. By clicking on the button Start Runtime.
  2. In the start menu in the folder Programs/COPA-DATA/zenon 700 with the entry zenon Logic Runtime.
  3. With the key F5 from the Editor.

After the Runtime is started, two screens are loaded:

First the screen Start (because it was automatically entered in the configuration as the Start screen) and then the screen BL-Start (because it is opened via the Start function of the screen Start).

Now we will have a look at how to find your way in an existing Runtime project.

  • Click into an empty area of the screen with the right mouse button.

If you keep the mouse button pressed long enough the name of the screen appears at the position of the mouse pointer.

  • Now click on the numerical value element for the variable Mode with the right mouse button.

On the left side above the element, the name of the linked variable will now be displayed.

  • Now click on the numerical value element for the variable Temp[1,1] with the left mouse button.

The standard dialog for settings values opens and allows you to change the value of this variable.

  • Set the value of the variable Temp[1,1] to 300.00 and close the dialog with OK.
  • Set the value of the variable Temp[1.2] to 350.00 and close the dialog with OK.

With the buttons Start Pic and Hall 1 in the button bar you can switch between the two process screens.

  • Switch to the screen Hall 1 and watch the behaviour of the dynamic elements there.

The driver is set to the counting simulation mode and the bar of the bar graph is moving.


Stopping the Runtime

First steps -> Runtime (Online operation) -> Stopping the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Press the button Exit to close the Runtime.

Info Info

If you have not defined a button for stopping the Runtime and if the Windows title bar is not available, the Runtime can also be closed with the key combination Alt+F4.